Subject: Re: bug#66156: [PATCH 00/12] Introducing Smart Hurdloading

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 27 Sep 2023 19:52:23 +0200

Ludovic Courtès writes:

Hi!

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> Okay, after overcoming completely unreleated troubles I finally managed
>> to reconfigure a laptop to hurd-team to test it.  It works great!
>
> Yay, thanks for testing!

Happy to :)

>> I found that by default, only root can offload.  Is that intentional,
>> how would that work?
>
> It’s is intentional: ‘guix offload’ is only ever invoked by
> guix-daemon¹, as root.

...ah.  I missed...

> ¹ Except for ‘guix offload test’, which is meant to be spawned by users,
>   as root too.

...this bit.

>> I changed permissions on `/etc/guix/offload/ssh/childhurd' like so
>>
>> $ l /etc/guix/offload/ssh
>> total 8
>> -rw-r--r-- 1 root root   93 Sep 23 14:47 childhurd.pub
>> -rw-r----- 1 root wheel 399 Sep 23 14:47 childhurd
>>
>> to "fix" that. WDYT?
>
> What would be the use case?

Well, running `guix offload test' as "janneke" :)

I didn't "dare" (should I say "proceed"?) to test a real offload before
seeing "guix offload test" work.  That's how I usually go about
offloading.

Reading the manual, especially if you know it, I guess that it does say
so in a subtle way

--8<---------------cut here---------------start------------->8---
   To test whether your setup is operational, run this command on the
master node:

     # guix offload test
--8<---------------cut here---------------end--------------->8---

And sure enough, offloading does work when I revert permessions on the
private key, so yeah...

>> Found another two commit message nitpicks
>
> Noted!
>
> I’d like to see if there are other opinions in particular about
> /etc/guix/machines.scm generation, then I guess we can merge?

Sure!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com